最近Firefox更新完3.0.8之後,每次開啟Firefox都會出現以下情況發生:

「Firefox 無法安裝此項,原因是 Chrome 註冊發生錯誤。請告知其作者此問題。」

解決方法:

如果你是Vista,在Firefox的圖示(執行檔)按右鍵,用系統管理員的身份去登入,就好了。

 

其原因產生:

每個 Firefox 擴充套件要能正常運作前,都得先在 Firefox 中註冊自己的「Chrome」。有的套件會自備一份適當的 chrome.manifest 檔,而也有的套件仰賴 Firefox 啟動時自動產生的 chrome.manifest 來運作。

之所以會發生「Chrome 註冊失敗」的情形,很可能是此套件已存在於 Firefox 內、但您沒有系統權限可以編輯 Firefox 安裝目錄的檔案。(這麼一來、自然也就沒辦法產 chrome.manifest 檔。)

若想避免這個錯誤再度發生,首先你必須請系統管理員以他的管理身份登入、然後(至少)執行一回 Firefox

如果因為任何原因無法如此處理,也可以停用有問題的套件。

   1. 在 Firefox 視窗最上方的功能表列中,點選 工具 選單,接著選擇 附加元件 。
   2. 此時會跳出附加元件管理員視窗,此時請選擇其中的 擴充套件 面板。
   3. 面板中將顯示目前已經安裝的套件,如果你發現有哪個套件不是你親手安裝的,就點選之後按下它的停用 鈕。
   4. 接著在附加元件管理員視窗上點選 重新啟動 Firefox。
   5. 如果問題依舊存在,請停用其他的套件試試看。

資料來源:http://support.mozilla.com/zh-TW/kb/Chrome+%E8%A8%BB%E5%86%8A%E5%A4%B1%E6%95%97

    全站熱搜

    Rong120 發表在 痞客邦 留言(0) 人氣()